dropping support for IE8 and lower

Posted: 9/28/2014 4:07:12 PM
Jason

From: Sammamish, Washington

Joined: 2/13/2005

In an upcoming site update, I plan to drop support for IE8 and lower. 

Unfortunately, I just don't have the amount of time it takes to test and develop code to fill in missing features for those ancient browsers. 

According to our site stats, most users are on Safari, Chrome, and Firefox anyway.  If you're using IE, please make sure you're on IE9 or higher.

Posted: 10/5/2014 1:11:07 PM
Thierry

From: Colmar, France

Joined: 12/31/2007

Good idea. Much more websites should make an effort to exclude people who use non up-to-date web browsers and operating systems because they put themselves and others to severe risks.

The start page of the Intranet which I created and maintain for the company where I work contains a script which checks the user's browser and os versions still before the login screen appears. If the OS is prior to Win 7 or OS X 10.8, and if the browser does not have the current version number or just one before (for IE, Firefox, Safari and Chrome), there is an error message and the login disabled. With that I can at least make sure that a few hundred pharmacists in France keep their systems up to date...

Posted: 10/5/2014 7:56:16 PM
FredM

From: Eastleigh, Hampshire, U.K. ................................... Fred Mundell. ................................... Electronics Engineer. (Primarily Analogue) .. CV Synths 1974-1980 .. Theremin developer 2007 to present .. soon to be Developing / Trading as WaveCrafter.com . ...................................

Joined: 12/7/2007

"exclude people who use non up-to-date web browsers and operating systems because they put themselves and others to severe risks." - Thierry

I know near nothing about internet / browser technology-

I did not know that an out-of-date browser could actually pose a threat - I can see that supporting the old browser could pose a burden... But a threat? (added-> I can see that supporting ancient browsers could pose a threat to a site - but can an unsupported browser visiting a site cause a threat?)

IMO, if the browser cannot pose a threat, and if the user is happy with limitations / possible malfunction of their browser as a result of visiting sites which dont support their browser, that should be their choice.

I completely agree that a site owner cannot be expected to support every ancient browser, that it is their prerogative and evaluation of cost / time / benefit which should determine which they support.(added-> In fact, I feel that they have full right to choose whatever browser they support without need for any justification)

If the browser can actually be a threat (to other internet users) , that's of course a different matter.

One thing I am mindful of is that we are extremely affluent by comparison to many on this planet who use the internet - There are millions for whom paying to upgrade from say Win XP to a later version which supports a later browser, is not an option.. Also, many of these will require a new PC in order to facilitate the upgrade..

Unless there is real risk to others, I think that deliberately barring people from site access based on their browser would be something like barring entry because one doesn't wear a tie - it would be debilitating to many who actually need access to the internet on their ancient PCs (many of which are salvage and donated by charities) for essential education and global 'participation'.

 

Fred.

Posted: 7/19/2015 5:30:31 PM
Jason

From: Sammamish, Washington

Joined: 2/13/2005

Keep in mind, even on older OS'es like XP, you can install safer & more modern browsers than IE (like Chrome or Firefox).

You must be logged in to post a reply. Please log in or register for a new account.